Bug 823692 - Missing instructions for XML Export Only
Missing instructions for XML Export Only
Status: CLOSED NOTABUG
Product: Topic Tool
Classification: Other
Component: doc-csp (Show other bugs)
1.0.0
All All
unspecified Severity high
: ---
: ---
Assigned To: Joshua Wulf
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 18:02 EDT by Jared MORGAN
Modified: 2015-08-09 21:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-07 10:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-05-21 18:02:02 EDT
Description of problem:

I needed to export the XML from the CCMS to test import to another toolchain (in my case, Confluence). But there were no instructions specifically for this operation.

Version-Release number of selected component (if applicable):

Unsure of Book version number. I guess it is 1.0


How reproducible:

100%

Additional info:

I checked with Lee Newson, and he confirmed the correct procedure with me. Here it is:

1. csprocessor checkout [content_spec_number)
2. cd [checked-out spec]
3. csprocessor build 
   - csprocessor build -p (-p to enforce permissive mode 
     in case of broken topics - only use for test imports).
4. csprocessor assemble --no-build (so the content spec isn't built,
   and only XML files are assembled)

The dir location for XML files after csprocessor assemble --no-build is <bookname>/assembly/publican/en-US
Comment 1 Lee Newson 2012-07-30 00:54:32 EDT
Just to some minor details to this.

Steps 3 & 4 can be combined into: "csprocessor assemble -p". However this will also run the publican build command. As such I've added an RFE (see Bug #844233) to support the functionality directly.

Note You need to log in before you can comment on or make changes to this bug.